SwapNotification_by_name

Get notifications by name

Deprecation notice

This endpoint is deprecated. We recommend using alternative endpoints to ensure continued support and compatibility.

Notifications are generated by the system after certain types of events, such as errors or the generation of new swaps. They are generated to notify the user about the processing status.

Notifications are automatically deleted after 600 seconds from their creation.

Notification after errors:

name = "error"
data = {
'tasks':"activity where the error occured",
'msg':"error message"
}

Notifications after swap:

name = "swap"
data = {
'face_name': 'XGRX', # identification code of the face image (string)
'target_name': 'XYZ', # identification code of the target image (string)
'link':'https://...' # link to the generated image (string)
}
POST
/api/swap/notification_by_name

Authorization

token_auth_2
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name_list*string

Response Body

application/json

curl -X POST "https://api.piktid.com/api/swap/notification_by_name" \  -H "Content-Type: application/json" \  -d '{    "name_list": "string"  }'
{
  "notifications_list": [
    {
      "id": 0,
      "name": "string",
      "timestamp": 0,
      "data": {
        "face_name": "string",
        "target_name": "string",
        "links": [
          {
            "l": "string",
            "n": "string",
            "t": "string"
          }
        ]
      }
    }
  ]
}
Empty
Empty
Empty